from Sql99 import Sql99, registerSqlClass

class Postgresql(Sql99):
  
  __implements__ = (Sql99.__implements__,)
  
  like_keyword = 'ilike'

  def getResultName(self, fieldid):
    return fieldid.lower()

  def getAutoIncrementValue(self,tableid,fieldid):
    query = "select nextval('%s_%s_seq') as nextval" % (tableid,fieldid)
    rec = self.execQuery(query)
    if rec: 
      return rec[0].nextval
    else:
      return 0
    
  def getLastIncrementValue(self,tableid,fieldid):
    query = "select currval('%s_%s_seq') as currval" % (tableid,fieldid)
    rec = self.execQuery(query)
    if rec:
      return rec[0].currval
    else:
      return 0
    


registerSqlClass('postgresql',Postgresql)