## Script (Python) "messages.js"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=*args
##title=
##
from DateTime import DateTime
expires = last_modified = DateTime()
setHeader = context.REQUEST.RESPONSE.setHeader
setHeader( 'Content-Type', 'text/javascript;;charset=utf-8' )
setHeader( 'Last-Modified', last_modified.toZone('GMT').rfc822() )
setHeader( 'Cache-Control', 'max-age=36000, must-revalidate' )
setHeader( 'Expires', expires.toZone('GMT').rfc822() )

print """
/* Rakun JavaScript interface i18n support messages */
var messages = new Object();\n
"""
message_count = 0
message_keys = context.js_message_keys
for msgid in context.js_message_keys.propertyIds():
    default_msg = getattr(message_keys,msgid) or msgid 
    msgstr = context.rakun_translate(msgid, default=default_msg, domain='rakun')    
    print "messages['%s'] = '%s';\n" %(msgid, msgstr)
    message_count += 1

print "// %s message translated" %message_count

print """
// i18n translate
function _(msgid) {
    return messages[msgid];
}  
"""

return printed