## Script (Python) "translate"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=msgid, mapping={}, default=None, domain='rakun', target_language=None, as_unicode=1
##title=
##
from Products.Rakun.RakunUtils import translate_wrapper

value = translate_wrapper(domain,
                          msgid,
                          mapping,
                          context=context,
                          target_language=target_language,
                          default=default,
                          as_unicode=as_unicode)

if not value and default is None:
    value = msgid

    for k, v in mapping.items():
        value = value.replace('${%s}' % k, v)
elif as_unicode:
    value = value.encode('utf-8')
    
return value
    
