# -*- coding:utf-8 -*-
from Interface import Interface
from Interface import Attribute


class ISql99(Interface):
    """ ANSI SQL-99 Interface """
  
    connection = Attribute('connection','Database connection object')
    
    def execQuery(self, query):
        """
        oluşturulan query veritabanı sunucusunda çalıştırıp sonucunu dönderir
        """    

    def select(tables, fields, condition=None, orderby=[], groupby=[], offset=0,
               limit=0):
        """
        sql select işlemi
        """
      
    def insert(tableid,fields):
        """
        fields : [(alan,değer),..]
        sql insert işlemi
        """
      
    def update(tableid,fields,condition=None):
        """
        fields: [(alan,değer),..]
        koşula uyan kayıtların güncellenmesi
        """
    
    def delete(table,condition):
        """
        koşula uyan kayıtların silinmesi
        """
    
    def rowCount(tables, condition=None, groupby=[]):
        """
        koşula uyan kayıt sayısı
        """
        
    def getAutoIncrementValue(tableid,fieldid):
        """"
        fieldid ile belirtilen alanın bir sonraki değeri
        """
        
    def getLastIncrementValue(tableid,fieldid):
        """
        fieldid ile belirtilen alanın en son değeri
        """
